Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Deals

List Deal Imports

GET
/v1/deals/imports

Returns a paginated list of deal Imports.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

status?string

Current status of the resource.

status[in]?string

Filters by any of the supplied status values.

external_id?string

Identifier assigned by an external system.

external_id[in]?string

Filters by any of the supplied external id values.

external_id[is_null]?true

Filters for resources where external id is null.

external_id[not_null]?true

Filters for resources where external id is not null.

limit?integer

Maximum number of resources to return.

Default10
Range0 <= value <= 100
page_token?string

Opaque token returned by a previous page request.

Length1 <= length

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/deals/imports"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "external_id": "string",      "status": "pending",      "started_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z",      "total_count": 9007199254740991,      "success_count": 9007199254740991,      "failed_count": 9007199254740991,      "failure": {        "code": "string",        "message": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "allow_reassignment": true    }  ],  "next_page_url": "string",  "previous_page_url": "string"}